<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_DIRECT_PURCHASE_RECEIPT_RETURN_VIEW';
$path_to_root = "../..";

include($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc"); 
include_once($path_to_root . "/purchasing/includes/ui/quality_checks_ui.inc");
include_once($path_to_root . "/purchasing/includes/db/quality_checks_db.inc");
include_once($path_to_root . "/purchasing/includes/db/direct_purchase_requisitions_db.inc"); 
include_once($path_to_root . "/purchasing/includes/ui/direct_purchase_receipts_ui.inc");
include_once($path_to_root . "/projects/includes/db/projects_db.inc"); 

$js = "";
$js .= get_js_open_window(800, 500);

global $systypes_array;

page(_($help_context = "View ".$systypes_array[ST_DIRECT_PURCHASE_RECEIPT]), true, false, "", $js);

if (isset($_GET["trans_no"])) {
    $trans_no = $_GET["trans_no"];
}

br(2);

    display_heading($systypes_array[ST_DIRECT_PURCHASE_RECEIPT]." #$trans_no");

    $rcp_no = view_direct_purchase_receipt_header(ST_DIRECT_PURCHASE_RECEIPT, $trans_no);

    display_heading($systypes_array[ST_DIRECT_PURCHASE_RECEIPT]." Details");

    view_direct_purchase_receipt_details(ST_DIRECT_PURCHASE_RECEIPT, $trans_no);
    
    view_direct_purchase_receipt_return_headers($rcp_no, ST_DIRECT_PURCHASE_RETURN);
    
end_page(true, false, false, ST_DIRECT_PURCHASE_RECEIPT, $trans_no);

?>